1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

WRT54G V2.2 - Flashed wrong firmware

Discussion in 'Cisco/Linksys Wireless Routers' started by Freud, Jan 27, 2006.

  1. Freud

    Freud Guest

    Hello all,

    I mistakenly flashed the wrong firmware (for version 4) to my V2.2 WRT54G device. Now I am trying to flash the correct version on, but it keeps telling me that the upgrade failed.

    Do you have any suggestions on getting the right firmware on the device? Is it even possible to downgrade?

    Thanks in advance!


  2. deonarin

    deonarin Network Guru Member

    I'm having a similar problem. I also have a WRT54G v2.2. Somehow I managed to flash version "Hyperwrt_2.1b1_v4.70.6-Thibor, Oct. 19, 2005" and the router claims it is a GS model. I've tried flashing to a number of different firmware revisions, including the sveasoft alchemy, generic HyperWRT, dd-wrt, the stock linksys firmware, tofu HyperWRT... all with no success. I get the "Upgrade are failed" message every time.

    I've considered trying to flash one of the 'generic g or gs' releases through TFTP, but I don't know if that is going to work any better...

    Anyone else have any ideas? Seems like there should be some way to flash backwards. I'm also surprised I got the GS firmware on there at all, it seems like whatever checks are in place to keep me from going back should have kept me from getting here in the first place!

    Thanks in advance for any help.
  3. Thibor

    Thibor Super Moderator Staff Member Member

    because you BOTH have flashed to version 4.x series firmwares, you will have to load dd-wrt_mini_generic before you will be able to flash to other firmwares. for the record though, 4.70.6 or 4.70.8 is fine for all versions of GS except version 4. same applies to G, version 4.20 series firmware
  4. deonarin

    deonarin Network Guru Member

    I wasn't able to flash dd-wrt, not even the generic mini version. I went back and tried again tonight, and got another 'upgrade are failed' message. This time though, it bricked my router. Luckly it didn't completely brick it, it still came up with tftp. I had no luck tftp'ing dd-wrt generic mini, but the linksys tftp flash utility actually worked!

    After that I was able to load the latest rev of the tofu HyperWRT build just fine.


Share This Page